RCSMERGE(1)

NAME
rcsmerge - merge RCS revisions

SYNOPSIS
rcsmerge [-EV] [-kmode] [-p[rev]] [-q[rev]] [-xsuffixes] [-ztz] -rrev file ...

DESCRIPTION
The rcsmerge program merges changes between two revisions of an RCS file into the corresponding working file.

rcsmerge also supports keyword substitution – see the rcs(1) man page for more information.

The following options are supported:

-E  Default merge: see diff3(1) for details.

-kmode
    Specify the keyword substitution mode.

-p[rev]
    Print result to standard output.

-q[rev]
    Be quiet about reporting.

-rrev
    Merge with respect to revision rev. This option should be specified twice to merge changes between two specific revisions. If only one revision is specified, merging is done between that revision and the latest revision of the default branch.

-V  Print RCS's version number.

-xsuffixes
    Specify the suffixes for RCS files. Suffixes should be separated by the ‘/’ character.

-ztz
    Specify the time zone for keyword substitution.

ENVIRONMENT

RCSINIT
    If set, this variable should contain a list of space-delimited options that are prepended to the argument list.

EXIT STATUS
The rcsmerge utility exits with one of the following values:

0   No overlaps.
1   Overlaps were found.
2   An error occurred.

EXAMPLES
Merge differences between revision 1.4 and 1.8 of foo.c and print the result to standard output:

    $ rcsmerge -p -r1.4 -r1.8 foo.c

Undo changes between revision 2.4 and 2.8 of foo.c, overwriting the working copy:

    $ rcsmerge -r2.8 -r2.4 foo.c

SEE ALSO
ci(1), co(1), ident(1), merge(1), rcs(1), rcsclean(1), rcsdiff(1), rlog(1)

STANDARDS
The flags [-AeT] have no effect and are provided for compatibility only.